echo "scope tree for a whole file"
read_scope_tree dummy.gpr a.adb

echo ""
echo "scope tree for entity with correct casing"
read_scope_tree dummy.gpr a.adb My_Procedure3 18 14

echo ""
echo "scope tree for entity with different casing"
read_scope_tree dummy.gpr a.adb my_procedure3 18 14

echo ""
echo "scope tree for a record type"
read_scope_tree dummy.gpr a.adb my_record 6 16
